public static interface S3EndpointBuilderFactory.S3Builders
| Modifier and Type | Method and Description |
|---|---|
default S3EndpointBuilderFactory.S3EndpointBuilder |
awsS3(String path)
AWS S3 Storage Service (camel-aws-s3)
Store and retrieve objects from AWS S3 Storage Service.
|
default S3EndpointBuilderFactory.S3EndpointBuilder |
awsS3(String componentName,
String path)
AWS S3 Storage Service (camel-aws-s3)
Store and retrieve objects from AWS S3 Storage Service.
|
default S3EndpointBuilderFactory.S3EndpointBuilder awsS3(String path)
aws-s3://bucketNameOrArn
Path parameter: bucketNameOrArn (required)
Bucket name or ARNpath - //bucketNameOrArndefault S3EndpointBuilderFactory.S3EndpointBuilder awsS3(String componentName, String path)
aws-s3://bucketNameOrArn
Path parameter: bucketNameOrArn (required)
Bucket name or ARNcomponentName - to use a custom component name for the endpoint
instead of the default namepath - //bucketNameOrArnApache Camel